#! /usr/local/bin/perl -w

# Source of UMLS MRREL table
$umls_file = "/export/nlp-humber/UMLS/UMLS_2007AB/subsets/cat3/2007AB/META/MRREL";


# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see
# <http://www.gnu.org/licenses/>.

if($umls_file =~ /RRF$/) {
  $rich_format = 1;
} else {
  $rich_format = 0;
} # if/else

open(UMLS, $umls_file) or die "Can't open $umls_file for reading\n";
while(<UMLS>) {
  @fields = split(/\|/, $_);
  if($rich_format) {
    $cui1 = $fields[0];
    $cui2 = $fields[4];
    $source = $fields[10];

  } else {
    $cui1 = $fields[0];
    $cui2 = $fields[2];
    $source = $fields[5];
  } # if/else

  print "u:$cui1 v:$cui2 d:1 s:$source\n"; 

} # while
close(UMLS);
